/**
 * Constants.java
 * Created on 2005/05/16
 * Copyright (c) by es , All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
 * CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED 
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY 
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF 
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE 
 * OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package izayoi;

/**
 * @author es
 *
 */
public interface Constants {
    /**
     * ^CX^v̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_TIMESTAMP = "time";
    
    /**
     * ʎq̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_ID = "id";
    
    /**
     * {̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_BODY = "body";
    
    /**
     * ^Cv̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_TYPE = "type";
    /**
     * N̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_LINK = "link";

    /**
     * O̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_NAME = "name";

    /**
     * [AhX̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_MAIL = "mail";
    
    /**
     * gq̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_SUFFIX = "suffix";
    
    /**
     * gq̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_ATTACH = "attach";
    
    /**
     * x[X̃^CX^v̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_BASE_STAMP = "base_stamp";
    
    /**
     * x[X̎ʎq̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_BASE_ID = "base_id";
    
    /**
     * 폜X^ṽ^CX^v̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_REMOVE_STAMP = "remove_stamp";
    
    /**
     * 폜X^v̎ʎq̖OttB[hL[łB
     */    
    public static final String FIELD_NAME_REMOVE_ID = "remove_id";

    /**
     * ^CṽXgłB
     */    
    public static final String TYPE_LIST = "list";
    /**
     * ^Cṽm[głB
     */    
    public static final String TYPE_NOTE= "note";
    /**
     * ^CṽXbhłB
     */    
    public static final String TYPE_THREAD ="thread";


    public static final String SORT_BYNAME ="name";
    public static final String SORT_BYLAST ="lastdate";
    public static final String SORT_BYCOUNT ="count";
    public static final String SORT_BYSIZE ="size";
    public static final String SORT_ASC ="asc";
    public static final String SORT_DESC ="desc";

}
